Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html
Class HtmlTagMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              com.lowagie.text.html.HtmlTagMap

All Implemented Interfaces:
  Serializable, Cloneable, Map

    public class HtmlTagMap

extends HashMap

The `Tags`-class maps several XHTML-tags to iText-objects.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`private static long` | `serialVersionUID`

Constructor Summary
`HtmlTagMap()` Constructs an HtmlTagMap.

Method Summary
`boolean` | `isBody(String tag)` Checks if this is the root tag.
`boolean` | `isHead(String tag)` Checks if this is the head tag.
`boolean` | `isHtml(String tag)` Checks if this is the root tag.
`boolean` | `isLink(String tag)` Checks if this is the linl tag.
`boolean` | `isMeta(String tag)` Checks if this is the meta tag.
`boolean` | `isSpecialTag(String tag)` Checks if this is a special tag.
`boolean` | `isTitle(String tag)` Checks if this is the title tag.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### HtmlTagMap

    public HtmlTagMap()

  Constructs an HtmlTagMap.

Method Detail

### isHtml

    public boolean isHtml(String tag)

  Checks if this is the root tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is HTML or html

### isHead

    public boolean isHead(String tag)

  Checks if this is the head tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is HEAD or head

### isMeta

    public boolean isMeta(String tag)

  Checks if this is the meta tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is META or meta

### isLink

    public boolean isLink(String tag)

  Checks if this is the linl tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is LINK or link

### isTitle

    public boolean isTitle(String tag)

  Checks if this is the title tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is TITLE or title

### isBody

    public boolean isBody(String tag)

  Checks if this is the root tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is BODY or body

### isSpecialTag

    public boolean isSpecialTag(String tag)

  Checks if this is a special tag.

  Parameters:
    `tag` - a tagvalue
  Returns:
    true if tag is a HTML, HEAD, META, LINK or BODY tag (case insensitive)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD